Share via


Get Catalog - Get Catalog

Get the regions and skus that are available for RI purchase for the specified Azure subscription.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Capacity/catalogs?api-version=2022-11-01
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Capacity/catalogs?api-version=2022-11-01&reservedResourceType={reservedResourceType}&location={location}&publisherId={publisherId}&offerId={offerId}&planId={planId}&$filter={$filter}&$skip={$skip}&$take={$take}

URI Parameters

Name In Required Type Description
subscriptionId
path True

string

Id of the subscription

api-version
query True

string

Supported version.

$filter
query

string

May be used to filter by Catalog properties. The filter supports 'eq', 'or', and 'and'.

$skip
query

number

The number of reservations to skip from the list before returning results

$take
query

number

To number of reservations to return

location
query

string

Filters the skus based on the location specified in this parameter. This can be an Azure region or global

offerId
query

string

Offer id used to get the third party products

planId
query

string

Plan id used to get the third party products

publisherId
query

string

Publisher id used to get the third party products

reservedResourceType
query

string

The type of the resource for which the skus should be provided.

Responses

Name Type Description
200 OK

CatalogsResult

OK. The request has succeeded.

Other Status Codes

Error

Unexpected error

Examples

Catalog

Sample request

GET https://management.azure.com/subscriptions/23bc208b-083f-4901-ae85-4f98c0c3b4b6/providers/Microsoft.Capacity/catalogs?api-version=2022-11-01&reservedResourceType=VirtualMachines&location=eastus

Sample response

{
  "value": [
    {
      "resourceType": "VirtualMachines",
      "name": "Standard_DS5_v2",
      "terms": [
        "P1Y",
        "P3Y"
      ],
      "billingPlans": {
        "P1Y": [
          "Upfront",
          "Monthly"
        ],
        "P3Y": [
          "Upfront",
          "Monthly"
        ]
      },
      "locations": [
        "eastus"
      ],
      "skuProperties": [
        {
          "name": "Cores",
          "value": "16"
        },
        {
          "name": "ProductTitle",
          "value": "DSv2 Series, DS5"
        },
        {
          "name": "ProductShortName",
          "value": "DSv2 Series"
        },
        {
          "name": "SKUName",
          "value": "DS5 v2"
        },
        {
          "name": "MeterId",
          "value": "12bc208b-083f-4901-ae85-4f98c0c3b4b8"
        }
      ],
      "restrictions": []
    },
    {
      "resourceType": "VirtualMachines",
      "name": "Standard_D1",
      "terms": [
        "P1Y",
        "P3Y"
      ],
      "billingPlans": {
        "P1Y": [
          "Upfront",
          "Monthly"
        ],
        "P3Y": [
          "Upfront",
          "Monthly"
        ]
      },
      "locations": [
        "eastus"
      ],
      "skuProperties": [
        {
          "name": "Cores",
          "value": "1"
        },
        {
          "name": "ProductTitle",
          "value": "D Series, D1"
        },
        {
          "name": "ProductShortName",
          "value": "D Series"
        },
        {
          "name": "SKUName",
          "value": "D1"
        },
        {
          "name": "MeterId",
          "value": "12bc208b-083f-4901-ae85-4f98c0c3b4b8"
        }
      ],
      "restrictions": [
        {
          "type": "Term",
          "values": [
            "P1Y"
          ],
          "reasonCode": "NotAvailableForSubscription"
        },
        {
          "type": "Term",
          "values": [
            "P3Y"
          ],
          "reasonCode": "NotAvailableForSubscription"
        }
      ]
    },
    {
      "resourceType": "VirtualMachines",
      "name": "Standard_F2",
      "terms": [
        "P1Y",
        "P3Y"
      ],
      "billingPlans": {
        "P1Y": [
          "Upfront",
          "Monthly"
        ],
        "P3Y": [
          "Upfront",
          "Monthly"
        ]
      },
      "locations": [
        "eastus"
      ],
      "skuProperties": [
        {
          "name": "Cores",
          "value": "2"
        },
        {
          "name": "ProductTitle",
          "value": "F Series, F2"
        },
        {
          "name": "ProductShortName",
          "value": "F Series"
        },
        {
          "name": "SKUName",
          "value": "F2"
        },
        {
          "name": "MeterId",
          "value": "12bc208b-083f-4901-ae85-4f98c0c3b4b8"
        }
      ],
      "restrictions": [
        {
          "type": "Location",
          "values": [
            "eastus"
          ],
          "reasonCode": "NotAvailableForSubscription"
        }
      ]
    }
  ],
  "nextLink": "https://management.azure.com/providers/Microsoft.Capacity/reservationOrders?api-version=2022-11-01&$filter=(term eq 'P1Y')&$take=50&$skip=50",
  "totalItems": 1000
}

Definitions

Name Description
Catalog

Product details of a type of resource.

CatalogsResult

The list of catalogs and pagination information.

Error

Error information

ErrorResponseCode

Error code describing the reason that service is not able to process the incoming request

ExtendedErrorInfo

Extended error information including error code and error message

Msrp

Pricing information about the sku

Price

Pricing information containing the amount and the currency code

ReservationTerm

Represent the term of reservation.

SkuCapability

Capability of a sku.

SkuProperty

Property of a sku.

SkuRestriction

Restriction of a sku.

Catalog

Product details of a type of resource.

Name Type Description
billingPlans

object

The billing plan options available for this sku.

capabilities

SkuCapability[]

Capability of a sku.

locations

string[]

The set of locations that the sku is available. If not specified, the sku is available in all locations.

msrp

Msrp

Pricing information about the sku

name

string

The name of sku

resourceType

string

The type of resource the sku applies to.

restrictions

SkuRestriction[]

Restriction of a sku.

size

string

The size of this sku

skuProperties

SkuProperty[]

Property of a sku.

terms

ReservationTerm[]

Available reservation terms for this resource

tier

string

The tier of this sku

CatalogsResult

The list of catalogs and pagination information.

Name Type Description
nextLink

string

The link (url) to the next page of results.

totalItems

integer (int64)

The total amount of catalog items.

value

Catalog[]

The list of catalogs.

Error

Error information

Name Type Description
error

ExtendedErrorInfo

Extended error information including error code and error message

ErrorResponseCode

Error code describing the reason that service is not able to process the incoming request

Value Description
NotSpecified
InternalServerError
ServerTimeout
AuthorizationFailed
BadRequest
ClientCertificateThumbprintNotSet
InvalidRequestContent
OperationFailed
HttpMethodNotSupported
InvalidRequestUri
MissingTenantId
InvalidTenantId
InvalidReservationOrderId
InvalidReservationId
ReservationIdNotInReservationOrder
ReservationOrderNotFound
InvalidSubscriptionId
InvalidAccessToken
InvalidLocationId
UnauthenticatedRequestsThrottled
InvalidHealthCheckType
Forbidden
BillingScopeIdCannotBeChanged
AppliedScopesNotAssociatedWithCommerceAccount
PatchValuesSameAsExisting
RoleAssignmentCreationFailed
ReservationOrderCreationFailed
ReservationOrderNotEnabled
CapacityUpdateScopesFailed
UnsupportedReservationTerm
ReservationOrderIdAlreadyExists
RiskCheckFailed
CreateQuoteFailed
ActivateQuoteFailed
NonsupportedAccountId
PaymentInstrumentNotFound
MissingAppliedScopesForSingle
NoValidReservationsToReRate
ReRateOnlyAllowedForEA
OperationCannotBePerformedInCurrentState
InvalidSingleAppliedScopesCount
InvalidFulfillmentRequestParameters
NotSupportedCountry
InvalidRefundQuantity
PurchaseError
BillingCustomerInputError
BillingPaymentInstrumentSoftError
BillingPaymentInstrumentHardError
BillingTransientError
BillingError
FulfillmentConfigurationError
FulfillmentOutOfStockError
FulfillmentTransientError
FulfillmentError
CalculatePriceFailed
AppliedScopesSameAsExisting
SelfServiceRefundNotSupported
RefundLimitExceeded

ExtendedErrorInfo

Extended error information including error code and error message

Name Type Description
code

ErrorResponseCode

Error code describing the reason that service is not able to process the incoming request

message

string

Msrp

Pricing information about the sku

Name Type Description
p1Y

Price

Amount in pricing currency. Tax not included.

p3Y

Price

Amount in pricing currency. Tax not included.

p5Y

Price

Amount in pricing currency. Tax not included.

Price

Pricing information containing the amount and the currency code

Name Type Description
amount

number (double)

currencyCode

string

The ISO 4217 3-letter currency code for the currency used by this purchase record.

ReservationTerm

Represent the term of reservation.

Value Description
P1Y
P3Y
P5Y

SkuCapability

Capability of a sku.

Name Type Description
name

string

An invariant to describe the feature.

value

string

An invariant if the feature is measured by quantity.

SkuProperty

Property of a sku.

Name Type Description
name

string

An invariant to describe the feature.

value

string

An invariant if the feature is measured by quantity.

SkuRestriction

Restriction of a sku.

Name Type Description
reasonCode

string

The reason for restriction.

type

string

The type of restrictions.

values

string[]

The value of restrictions. If the restriction type is set to location. This would be different locations where the sku is restricted.